Name:          spatial4j
Version:       0.4.1
Release:       %mkrel 3
Group:         Development/Java
Summary:       A Geospatial Library for Java
License:       ASL 2.0
URL:           https://github.com/spatial4j
Source0:       https://github.com/spatial4j/spatial4j/archive/%{name}-%{version}.tar.gz

BuildRequires: mvn(com.vividsolutions:jts)
BuildRequires: mvn(org.sonatype.oss:oss-parent:pom:)

# test deps
%if 0
BuildRequires: mvn(com.carrotsearch.randomizedtesting:randomizedtesting-runner)
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.slf4j:slf4j-simple)
%endif
BuildRequires: maven-local

BuildArch:     noarch

%description
Spatial4j is a general purpose spatial/geospatial Java library.
It's core capabilities are 3-fold: to provide common geospatially-aware shapes,
to provide distance calculations and other math, and to read and write the
shapes to strings.

%package       javadoc
Summary:       Javadoc for %{name}
Group:         Documentation

%description   javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{name}-%{version}

# unavailable mvn plugin
%pom_remove_plugin de.thetaphi:forbiddenapis

%build

%mvn_file : %{name}
# Test skipped for unavailable test deps
%mvn_build -f

%install
%mvn_install

%files -f .mfiles
%doc CHANGES.md LICENSE.txt README.md

%files javadoc -f .mfiles-javadoc
%doc LICENSE.txt


%changelog
* Tue Dec 30 2014 daviddavid <daviddavid> 0.4.1-3.mga5
+ Revision: 807198
- rebuild for new sonatype-oss-parent

* Thu Dec 25 2014 dmorgan <dmorgan> 0.4.1-2.mga5
+ Revision: 805955
- imported package spatial4j

